JUCE: juce::universal_midi_packets::DeviceInfo Struct Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | Static Public Attributes | List of all members
juce::universal_midi_packets::DeviceInfo Struct Reference
juce_audio_basics » midi

Holds MIDI device info that may be required by certain UMP messages and MIDI-CI messages. More...

`#include <juce_UMPDeviceInfo.h>`

## Public Member Functions
bool | operator== (const DeviceInfo &other) const
bool | operator!= (const DeviceInfo &other) const

## Static Public Member Functions
template<typename Archive , typename This >
static auto | serialise (Archive &archive, This &t)

## Public Attributes
std::array< std::byte, 3 > | manufacturer
| LSB first.
std::array< std::byte, 2 > | family
| LSB first.
std::array< std::byte, 2 > | modelNumber
| LSB first.
std::array< std::byte, 4 > | revision

## Static Public Attributes
static constexpr auto | marshallingVersion = std::nullopt

## Detailed Description

Holds MIDI device info that may be required by certain UMP messages and MIDI-CI messages.

## Member Function Documentation

## ◆ operator==()

bool juce::universal_midi_packets::DeviceInfo::operator== | ( | const DeviceInfo & | other | ) | const

## ◆ operator!=()

bool juce::universal_midi_packets::DeviceInfo::operator!= | ( | const DeviceInfo & | other | ) | const

## ◆ serialise()

template<typename Archive , typename This >

static auto juce::universal_midi_packets::DeviceInfo::serialise | ( | Archive & | archive,
|  | This & | t
| ) |  |
| static

References named().

## Member Data Documentation

## ◆ manufacturer

std::array<std::byte, 3> juce::universal_midi_packets::DeviceInfo::manufacturer

LSB first.

## ◆ family

std::array<std::byte, 2> juce::universal_midi_packets::DeviceInfo::family

LSB first.

## ◆ modelNumber

std::array<std::byte, 2> juce::universal_midi_packets::DeviceInfo::modelNumber

LSB first.

## ◆ revision

std::array<std::byte, 4> juce::universal_midi_packets::DeviceInfo::revision

## ◆ marshallingVersion

constexpr auto juce::universal_midi_packets::DeviceInfo::marshallingVersion = std::nullopt
| staticconstexpr

The documentation for this struct was generated from the following file:

- juce_UMPDeviceInfo.h